#
# spec file for package ghc-genvalidity-hspec
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name genvalidity-hspec
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        0.6.0.3
Release:        1.1
Summary:        Standard spec's for GenValidity instances
License:        MIT
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  ghc-genvalidity-devel
BuildRequires:  ghc-genvalidity-property-devel
BuildRequires:  ghc-hspec-core-devel
BuildRequires:  ghc-hspec-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-validity-devel
%if %{with tests}
BuildRequires:  ghc-doctest-devel
%endif

%description
Note: There are companion packages for this library:

* <https://hackage.haskell.org/package/genvalidity-hspec-aeson
genvalidity-hspec-aeson>

* <https://hackage.haskell.org/package/genvalidity-hspec-binary
genvalidity-hspec-binary>

* <https://hackage.haskell.org/package/genvalidity-hspec-cereal
genvalidity-hspec-cereal>

* <https://hackage.haskell.org/package/genvalidity-hspec-hashable
genvalidity-hspec-hashable>.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development
files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc LICENSE

%files devel -f %{name}-devel.files
%doc doctests

%changelog
* Tue Jun 19 2018 psimons@suse.com
- Update to version 0.6.0.3.
  A more detailed change log is not available.
* Wed May  9 2018 psimons@suse.com
- Update to version 0.6.0.2.
  A more detailed change log is not available.
* Mon Sep 25 2017 psimons@suse.com
- Update to version 0.5.0.0.
  A more detailed change log is not available.
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Wed Mar 22 2017 psimons@suse.com
- Update to version 0.4.0.0 with cabal2obs.
* Fri Feb 24 2017 psimons@suse.com
- Update to version 0.3.1.0 with cabal2obs.
* Fri Dec 16 2016 psimons@suse.com
- Update to version 0.2.0.5 revision 1 with cabal2obs.
